We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8199 - upgrade uses too much memory
upgrade uses too much memory
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.4.3
All All
: P3 normal
Assigned To: beghelli
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-18 22:36 PDT by Juan Pablo Alperin
Modified: 2013-10-25 16:26 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2013-04-18 22:36:18 PDT
Is there any way to minimize the amount of memory needed to do an upgrade? From 2.3.7 to 2.4.2, I got an out of memory error with memory_limit set to 128M. It seemed to fail on migrating the notifications.
Comment 1 James MacGregor 2013-04-25 11:34:42 PDT
(In reply to comment #0)
> Is there any way to minimize the amount of memory needed to do an upgrade?
> From 2.3.7 to 2.4.2, I got an out of memory error with memory_limit set to
> 128M. It seemed to fail on migrating the notifications.

Ditto here, but with 256MB (upgrading a journal from 2.3.4 to 2.4.2 on lib-ojs3). Upgrade failed in the same place. Upping the memory_limit temporarily to 512MB solved this problem, but other users may not have easy access to this solution.
Comment 2 Alec Smecher 2013-09-03 16:33:00 PDT
This should already be addressed by the fix at <https://github.com/pkp/pkp-lib/commit/06bc11f5ecfb25ceffd612a3e7c8aef193c21903#commitcomment-4007295>, but it needs to be made PHP4-compatible.
Comment 3 Alec Smecher 2013-10-18 10:53:50 PDT
Bruno, did your recent testing resolve this?
Comment 4 beghelli 2013-10-25 16:26:19 PDT
Closing, fixed by the commit Alec mentioned before.